from dataclasses import dataclass, asdict


@dataclass
class DataPoint:
    """Represents a single Datapoint from the InfluxDB perspective."""
    measurement: str
    time: int
    fields: dict
    tags: dict

    def asdict(self):
        return asdict(self)
